Skip to content
Permalink
Browse files

testsuite: PyYAML-5.1 removed support for Python 2.6

  • Loading branch information...
AlexanderS committed May 7, 2019
1 parent 61988de commit b9fe3b5906991be5bbcde368e50c35fade12caca
Showing with 4 additions and 4 deletions.
  1. +4 −4 testsuite/install.sh
@@ -27,22 +27,22 @@ else
fi

if [[ "$WITH_OPTIONAL_DEPS" == "yes" ]]; then
pip_wheel PyYAML pyinotify boto pylibacl Jinja2 \
cherrypy nose-show-skipped
pip_wheel pyinotify boto pylibacl Jinja2 cherrypy nose-show-skipped

if [[ $PYVER == "2.6" ]]; then
pip install \
--global-option='build_ext' \
--global-option='--include-dirs=/usr/include/x86_64-linux-gnu' \
m2crypto

pip_wheel 'django<1.7' 'South<0.8' 'mercurial<4.3' cheetah guppy 'pycparser<2.19' python-augeas
pip_wheel 'django<1.7' 'South<0.8' 'mercurial<4.3' cheetah guppy \
'pycparser<2.19' python-augeas 'PyYAML<5.1'
else
if [[ $PYVER == "2.7" ]]; then
pip_wheel m2crypto guppy
fi

pip_wheel django mercurial cheetah3 python-augeas
pip_wheel django mercurial cheetah3 python-augeas PyYAML
fi
fi
fi

0 comments on commit b9fe3b5

Please sign in to comment.
You can’t perform that action at this time.